import { NetworkCore, NetworkBased } from "../../core";
import { Account } from "../../account";
import { Wallet } from "../../../wallet";
import { ContractRegistry } from "../contract/registry";
export declare class Transactions extends NetworkBased {
    constructor(network: NetworkCore, registry: ContractRegistry);
    private _registry;
    private _transfer;
    private _export;
    private _import;
    transfer(wallet: Wallet, cAddress: string, recipient: string, amount?: bigint): Promise<void>;
    wrap(wallet: Wallet, cAddress: string, amount: bigint): Promise<void>;
    unwrap(wallet: Wallet, cAddress: string, amount: bigint): Promise<void>;
    transferWrapped(wallet: Wallet, cAddress: string, recipient: string, amount: bigint): Promise<void>;
    delegateToFtso(wallet: Wallet, cAddress: string, delegates: Array<string>, sharesBP: Array<bigint>): Promise<void>;
    undelegateFromFtso(wallet: Wallet, cAddress: string): Promise<void>;
    invokeContractMethod(wallet: Wallet, cAddress: string, contract: string, abi: string, method: string, value: bigint, ...params: any[]): Promise<void>;
    exportFromC(wallet: Wallet, account: Account, amount: bigint, baseFee?: bigint): Promise<void>;
    importToC(wallet: Wallet, account: Account, baseFee?: bigint): Promise<void>;
    getBaseFee(): Promise<bigint>;
    private _signAndSubmitEvmTx;
    private _signAndSubmitAvaxTx;
    private _getEcdsaSignature;
}
//# sourceMappingURL=index.d.ts.map