import Avalanche from "@flarenetwork/flarejs";
import { JsonRpcProvider } from "ethers";
import { AfterTxConfirmationCallback, AfterTxSubmissionCallback, BeforeTxSignatureCallback, BeforeTxSubmissionCallback } from "./callback";
import { Constants } from "./constants";
export declare class NetworkCore {
    constructor(constants: Constants);
    const: Constants;
    cChainId: number;
    pChainId: number;
    cBlockchainId: string;
    pBlockchainId: string;
    cAssetId: string;
    pAssetId: string;
    avalanche: Avalanche;
    ethers: JsonRpcProvider;
    beforeTxSignature: BeforeTxSignatureCallback;
    beforeTxSubmission: BeforeTxSubmissionCallback;
    afterTxSubmission: AfterTxSubmissionCallback;
    afterTxConfirmation: AfterTxConfirmationCallback;
    get hrp(): string;
    get rpc(): string;
    set rpc(rpc: string);
    private _getAvalanche;
    private _getEthers;
    private _getCBlockchainId;
    private _getPBlockchainId;
    private _getCAssetId;
    private _getPAssetId;
}
export declare abstract class NetworkBased {
    constructor(core: NetworkCore);
    protected _core: NetworkCore;
}
//# sourceMappingURL=core.d.ts.map